2025-10-09
версия 2.00.0202
[REPLSPY-184] - ReplSpy - NEW - поддержать поля типа m (utf8)

2025-10-09
версия 2.00.0201
[REPLSPY-181] - Добавить профиль T2 полигона в replspy
[REPLSPY-157] - Поддержать отображение null полей в replspy

2025-02-24
версия 2.00.0200
[QGUI-3565] - Переделать в replspy сохранение потоков в yaml нового embeded test plugin-а

2024-12-16
версия 2.00.0197
[QGUI-3529] - сборка сетапов только в стабильной сборке и пересборка в релиз кандидате

2024-11-22
версия 2.00.0196
[QGUI-3522] - Не работает фильтр по ctrl+f

2024-08-27
версия 2.00.0194
[REPLSPY-154] - Неправильная работа фильтра

2024-07-09
версия 2.00.0193
[REPLSPY-155] - Вынести общие с терминалом файлы в отдельную библиотеку
сборка на SPECTRA730 снапшот

2024-02-22
версия 2.00.0192
сборка на SPECTRA727 release_candidate

2024-02-21
версия 2.00.0191
[REPLSPY-153] - Выключаем 32-х битные сборки

2024-02-06
версия 2.00.0190
[QGUI-3406] - Поддержать сборку на redos

2023-11-28
версия 2.00.0189
[REPLSPY-152] - Запускает P2MQRouter в 64-х битной версии, когда должен P2MQRouter64

2023-11-16
версия 2.00.0188
[QGUI-3428] - Утечка памяти

2023-11-03
версия 2.00.0187
[REPLSPY-151] - Утечка памяти
[REPLSPY-150] - Перевести replspy на CMake и включить в пайплайне withPVS = true

2023-09-14
версия 2.00.0186
[REPLSPY-146] - Падает ReplSpy при выборе схемы
[REPLSPY-147] - Возможность писать в yaml сразу несколько потоков

2023-07-20
версия 2.00.0185
сборка на 7.15 release_candidate

2023-06-15
версия 2.00.0184
[REPLSPY-144] - Используем  project.CLTools.isWindows() и project.CLTools.isLinux() для определения платформы

2023-06-14
версия 2.00.0183
[REPLSPY-144] - проверка интеграции с gitlab (.gitlab-ci.yml)

2023-06-08
версия 2.00.0182
[REPLSPY-144] - сборка deb пакетов на astra-1.7

2023-05-26
версия 2.00.0181
[REPLSPY-144] - with_ex брать из project properties

2023-05-02
версия 2.00.0180
[REPLSPY-145] - Поля типа z показывать не глядя на размер в схеме (смотреть на то что в первых 4-х байтах, далее идут сразу данные)

2023-05-02
версия 2.00.0179
[REPLSPY-144] - with_ex брать из system properties

2023-04-07
версия 2.00.0177
[REPLSPY-144] - Перенести сборку на Jenkins pipeline

2023-03-29
версия 2.00.0176
[REPLSPY-143] - Ограничивать размер комбобоксов в формах добавления подписчиков и публикаторов

2023-02-21
версия 2.00.0175
[REPLSPY-142] - Очищать в полночь QPixmapCache иначе он бесконтрольно распухает

2023-02-15
версия 2.00.0174
[REPLSPY-140] - Выкладывать сетапы REPLSPY в nexus
[REPLSPY-141] - оптимизация ключей для QPixmapCache по аналогии с тем как делается в Qt например QPixmap::load или QPixmapIconEngine::scaledPixmap

2022-12-07
версия 2.00.0173
[REPLSPY-139] - Селектор в реплспае очень не контрастный

2022-10-25
версия 2.00.0172
[NOISSUE] - Сбрасывать флаг QStyle::State_HasFocus для прочих строк таблицы, кроме текущей выбранной строки

2022-10-17
версия 2.00.0171
[REPLSPY-138] - Окружение cg_env_open по умолчанию subsystems=mq,replclient (для cgate_ex subsystems=mq,replclient,replserver,ereplclient)

2022-09-26
версия 2.00.0170
[REPLSPY-136] - Добавить параметр SERVICENAME для запуска роутера
[REPLSPY-138] - Окружение cg_env_open по умолчанию subsystems=mq,replclient (для cgate_ex subsystems=mq,replclient,replserver,ereplclient)

2022-02-18
версия 2.00.0169
SPECTRA73 rhel7.9-dts11 Qt 5.15.8

2022-02-18
версия 2.00.0168
release_candidate

2022-02-07
версия 2.00.0167
[QGUI-3157] Проблемы с отображением терминала на 4k мониторах с увеличенным размером шрифта (200%)

2022-02-07
версия 2.00.0166
[REPLSPY-136] - Добавить параметр SERVICENAME для запуска роутера

2021-12-22
версия 2.00.0165.0
новые логотипы

2021-10-08
версия 2.00.0164.0
VS2019 + SPECTRA70

2021-10-04
версия 2.00.0163.0
сборка на SPECTRA615 release_candidate
[REPLSPY-135] - Нельзя возвращать указатели приведенные к int64 в код javascript

2021-08-19
версия 2.00.0161.0
[REPLSPY-134] - Добавить в контекстное меню панелей с логами пункт Clear для очистки содержимого

2021-08-04
версия 2.00.0160.0
сборка на SPECTRA615 snapshot

2021-07-16
версия 2.00.0159.0
сборка на SPECTRA612 release_candidate

2021-06-11
версия 2.00.0158.0
[REPLSPY-133] - Yaml дампер в repl_spy не экранирует одинарные кавычки

2021-04-19
версия 2.00.0156.0
[REPLSPY-132] - Добавить возможность посылать сообщения без флага CG_PUB_NEEDREPLY

2021-03-30
версия 2.00.0155.0
Удалены устаревшие потоки (FUT/OPT) из примеров и дефолтной конфигурации

2021-03-29
версия 2.00.0154.0
SPECTRA612 drop 3 + rhel-7.9

2021-03-11
версия 2.00.0152.0
SPECTRA69 release_candidate + rhel-7.9

2021-02-25
версия 2.00.0151.0
[REPLSPY-129] - Падение при попытке создать в скрипте сообщение отсутствующее в схеме
[REPLSPY-130] - При попытке отправить в сообщение строку длиннее чем позволяет тип поля затирается нулевой байт в конце строки

2020-12-04
версия 2.00.0150.0
[REPLSPY-128] - Поддержать юникодные строки в таблицах реплики (w250 например)

2020-11-20
версия 2.00.0149.0
[REPLSPY-124] - Логировать изменение состояний подключений, потоков и публикаторов отдельно для каждой сущности

2020-10-06
версия 2.00.0148.0
[REPLSPY-126] - Загружать значения по умолчанию если они есть в схеме

2020-09-25
версия 2.00.0147.0
[REPLSPY-125] - Сделать для таблиц панель для поиска по ctrl+f как в терминале (не примерять фильтр к скрытам слотбцам)

2020-09-25
версия 2.00.0146.0
[REPLSPY-125] - Сделать для таблиц панель для поиска по ctrl+f как в терминале

2020-04-22
версия 2.00.0145.0
Документация на функции доступные из javascript-а

2020-04-20
версия 2.00.0144.0
Исправлена обработка строк и bcdii в публикаторах

2020-03-12
версия 2.00.0143.0
[REPLSPY-123] - Сохранять поля flags целых типов в yaml в шестнадцатеричном формате

2020-02-20
версия 2.00.0142.0
[REPLSPY-122] - Добавить кнопку остановки скрипта

2020-02-20
версия 2.00.0141.0
+ копирование стиля qwindowsvistastyle.dll

2020-02-20
версия 2.00.0140.0
поддержка VS2017 и Qt 5.12.7
пробная сборка инсталлятора с 2017-м рантаймом

2020-02-06
версия 2.00.0139.0
фикс порядка байт в шестнадцатеричных целых числах и конвертации в i8 для js

2020-02-04
версия 2.00.0138.0
[REPLSPY-121] - Добавить возможность подключать внешний js файл и выполнять произвольны js код из строки
черновик документации на функции доступные для вызова из скриптов

2020-01-29
версия 2.00.0137.0
[REPLSPY-119] - Добавить поддержку расширения console
[REPLSPY-120] - Добавить поддержку записи и чтения текстовых файлов

2020-01-16
версия 2.00.0134.0
[REPLSPY-118] - Добавить возможность создания репликационного публикатора (p2repl) через скрипт (только replspy_ex)

2020-01-14
версия 2.00.0133.0
[REPLSPY-117] - Добавить опцию -no-gui для запуска без GUI и -js для запуска скрипта

2020-01-14
версия 2.00.0132.0
[REPLSPY-116] - Добавить возможность работы с несколькими соединениями одновременно
[REPLSPY-115] - Добавить программное получение списка таблиц и экспорт в CSV через javascript
[REPLSPY-114] - Добавить запуск роутера из javascript через список параметров

2019-12-30
версия 2.00.0130.0
Переведено на сборку для релиза SPECTRA64 
[REPLSPY-113] - Добавить поддержку скриптинга

2019-12-27
версия 1.00.0116.0
[REPLSPY-112] - По умолчанию для T-1 полигона (16000-е порты меняем на 6000-е)

2019-12-13
версия 1.00.0115.0
[REPLSPY-111] - Добавить возможность показывать значения в hex и скрывать столбцы

2019-11-21
версия 1.00.0113.0
[REPLSPY-110] - добавить дамп в yaml и для публикаторов тоже

2019-08-27
версия 1.00.0112.0
Переведено на сборку для релиза SPECTRA63 

2019-07-18
версия 1.00.0111.0
Переведено на сборку релиза SPECTRA6220 

2019-06-11
версия 1.00.0107.0
[REPLSPY-108] - Добавить кнопку сохранения текущей конфигурации и глубину логирования роутера и реплспая в 3 файла
[REPLSPY-109] - CG_MSG_P2REPL_CLEARDELETED для e-реплики должен очищать старые сообщения во всех таблицах

2019-05-30
версия 1.00.0106.0
[REPLSPY-50] - В форме открытия подписчика добавить кнопку позволяющую выбрать файл со схемой

2019-04-30
версия 1.00.0105.0
Поддержка высоких разрешений (3840 × 2160 4k UHD)

2019-04-23
версия 1.00.0104.0
[REPLSPY-107] - Добавить опциональную запись в YAML лог всех сообщений подписчика

2019-04-02
версия 1.00.0098.0
[REPLSPY-106] - Записи с ненулевым replAct в снапшоте нужно игнорировать

2019-03-18
версия 1.00.0097.0
[REPLSPY-105] - При получении записей в режиме снапшот не вставлять их сразу в порядке replid, а откладывать сортировку до перехода в онлайн

2019-01-14
версия 1.00.0096.0
В версии с cgate_ex добавилась зависимость от P2MQRouterDll.dll

2019-01-14
версия 1.00.0095.0
Сборка на репозитории SPECTRA62 (обновление)

2018-10-03
версия 1.00.0094.0
Проверка на доступность порта каждого из линков по которым идет подключение
Сборка на репозитории SPECTRA62

2018-09-14
версия 1.00.0092.0
Пробная сборка с RHEL-7 

2018-08-24
версия 1.00.0091.0
Немодальные диалоги отправки команд

2018-08-06
версия 1.00.0090.0
Сборка на репозитории SPECTRA61

2018-07-30
версия 1.00.0089.0
При закрытии роутера, процесс p2mqrouter завершается сразу, не разрывая соединение корректно. Чтобы это исправить посылаем Ctrl+C в консоль роутера (т.к. способ остановки роутера через RTSExitEvent уже занят под слежение за процессом replspy)

2018-07-23
версия 1.00.0088.0
Багфикс для открепленных окон и название потока в табах и заголовках открепленных окон

2018-05-15
версия 1.00.0086.0
Добавление нескольких подписчиков одной командой

2018-05-04
версия 1.00.0085.0
Добавлено выделение нескольких строк в таблицах. В буфер обмена теперь копируются только выделенные строки, а так же добавлен shortcut на копирование (ctrl+C)

2018-04-10
версия 1.00.0084.0
добавлена возможность повторной инициализации окружения без перезагрузки приложения

2018-04-09
версия 1.00.0083.0
4 знака для отображения года

2018-03-15
версия 1.00.0082.0
Не завершать приложение в случае если паблишеру не удалось создать сообщение (ограничиваемся сообщением об ошибке)

2017-11-22
версия 1.00.0081.0
Завершение дочерних процессов (p2mqrouter) в случае падения (или снятия через диспетчер задач) основного (replspy.exe)

2017-11-22
версия 1.00.0080.0
Поддержка bcdii типов для отправки команд через паблишер

2017-11-21
версия 1.00.0079.0
Запуск роутера без отдельного консольного окна.

2017-11-20
версия 1.00.0078.0
Qt 5.9.2 и VS2015

2017-10-17
версия 1.00.0076.0
210-я плаза2 (построено на ветке SPECTRA60)

2017-10-16
версия 1.00.0074.0
209-я плаза2 для linux

2017-05-11
версия 1.00.0073.0
новая плаза2 (209-я)

2017-05-11
версия 1.00.0072.0
http://jira.moex.com/browse/REPLSPY-104 - Падение при закрытии replspy
плаза2 208-я версия

2017-04-26
версия 1.00.0071.0
новая плаза2 (209-я)

2017-04-04
версия 1.00.0070.0
http://jira.moex.com/browse/REPLSPY-103 - 68-й После архивации не чистит рёплику - остаются старые данные 

2017-03-29
версия 1.00.0069.0
http://jira.moex.com/browse/REPLSPY-102 - В 32-х битной версией не запускается роутер 

2017-03-22
версия 1.00.0066.0
http://jira.moex.com/browse/REPLSPY-101 - Миграция в gitlab и переделка системы сборки на gradle

2016-10-26
версия 1.00.0059.0
Новый профиль для DSP и фиксы для поддержки плагинов cgate_fix и cgate_twime 

2016-08-29
версия 1.00.0054.0
новая плаза2 (207-й билд) и новая версия cgate 5.1.3.545 

2016-05-06
версия 1.00.0053.0
новый тестовый профиль с 4-мя адресами

2016-04-20
версия 1.00.0052.0
новая плаза2 (206-й билд) и новая версия cgate 5.1.0.231 


- корректно обрабатывает тип данных 'a'
- имеет функцию запуска собственного роутера
- более быстрый
- можно сортировать таблицы по любой колонке


Запустить p2mqrouter открывает ini-файл роутера. ОК - роутер запускается
(погасить его можно только "ручками" ctrl+c)
Можно его не запускать, а подключаться к любому другому.

Подключиться - инициализация cgate и параметры подключения к роутеру.

В "Параметры окружения" строка инициализации сигейта:
ini=test.ini;subsystems=mq,replclient,replserver,ereplclient;key=<ключ сертификации> 

в ini: 
 - файл с секцией p2syslog в самом простом случае
в subsystems: 
 - mq - это посылка mq сообщений (например, выставление заявок в спектра)
 - replclient - получение реплики
 - ereplclient - получение е реплики (в клиентском cgate не поддерживается)
 - replserver - раздача реплики (в клиентском cgate не поддерживается)
в key:
 - ключ сертификации приложения


В "Параметры соединения" строка подключения к роутеру. Такая:
p2lrpcq://127.0.0.1:4110;app_name=replspy_test


Далее добавляем подписчики (входные потоки) и публикаторы (для отправки сообщений)

Публикатор добавляется в спектру строкой вида:
p2mq://FORTS_SRV;category=FORTS_MSG;timeout=2000;name=test1
для некоторых сервисов нужно добавлять свойство format:
p2mq://SOFTWARE_AUTH;category=CERT_MSG;format=raw;timeout=2000;name=test2

логи под линуксом в искать в ~/local/share/replspy/
под windows если это установленная через msi версия то в C:\Users\USERNAME\AppData\Local\replspy\replspy\ 
если zip то в каталоге приложения
